import request from '@/utils/request'

// 通过医院所在部门ID获取本医院所有兽医
export function getDoctorByHospitalDeptId(query) {
  return request({
    url: '/system/manage/wechat/listAll',
    method: 'get',
    params: query
  })
}

// 通过兽医ID获取其信息
export function getDoctorById(id) {
  return request({
    url: '/system/manage/wechat/' + id,
    method: 'get'
  })
}

