import request from '@/utils/request'

// 查询轮播图列表
export function getBannerList(query) {
  return request({
    url: '/business/banner/list',
    method: 'get',
    params: query
  })
}

// 查询医院列表
export function listHospital(query) {
  return request({
    url: '/business/ownerApplet/hospitalList',
    method: 'get',
    params: query
  })
}

// 待办事项
export function expectList(petOwnersId) {
  return request({
    url: '/business/ownerApplet/expectList/' + petOwnersId,
    method: 'get'
  })
}

// 查询基础配置
export function listConfig(query) {
  return request({
    url: '/system/baseConfig/list',
    method: 'get',
    params: query
  })
}
