import request from '@/utils/request'

// 查询消息列表
export function listPetmNotice(query) {
  return request({
    url: '/system/petmNotice/list',
    method: 'get',
    params: query
  })
}

// 查询消息详细
export function getPetmNotice(id) {
  return request({
    url: '/system/petmNotice/' + id,
    method: 'get'
  })
}

// 新增消息
export function addPetmNotice(data) {
  return request({
    url: '/system/petmNotice',
    method: 'post',
    data: data
  })
}

// 修改消息
export function updatePetmNotice(data) {
  return request({
    url: '/system/petmNotice',
    method: 'put',
    data: data
  })
}

// 删除消息
export function delPetmNotice(id) {
  return request({
    url: '/system/petmNotice/' + id,
    method: 'delete'
  })
}

// 删除消息
export function readPetmNotice(id) {
  return request({
    url: '/system/petmNotice/batchRead/' + id,
    method: 'delete'
  })
}
